<?php
class ControllerModuleFooterText extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('module/footer_text');

		$this->document->title = $this->language->get('heading_title');

		$this->load->model('setting/setting');
			
		$this->load->model('localisation/language');

		$this->data['languages'] = $this->model_localisation_language->getLanguages();

		$languages =array();
		$languages =$this->data['languages'];

		if (($this->request->server['REQUEST_METHOD'] == 'POST')) {

			$this->model_setting_setting->editSetting('bottomdes', $this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');

			$this->redirect(HTTPS_SERVER . 'index.php?route=extension/module&token=' . $this->session->data['token']);
		}

		$this->data['heading_title'] = $this->language->get('heading_title');

		$this->data['text_enabled'] = $this->language->get('text_enabled');
		$this->data['text_disabled'] = $this->language->get('text_disabled');


		$this->data['entry_code'] = $this->language->get('entry_code');
		$this->data['entry_position'] = $this->language->get('entry_position');
		$this->data['entry_status'] = $this->language->get('entry_status');
		$this->data['entry_sort_order'] = $this->language->get('entry_sort_order');
		$this->data['entry_title'] = $this->language->get('entry_title');

		$this->data['positions'] = array();

		$this->data['positions'][] = array(
			'position' => 'footer',
			'title'    => $this->language->get('text_footer'),
		);

		$this->data['button_save'] = $this->language->get('button_save');
		$this->data['button_cancel'] = $this->language->get('button_cancel');

		if (isset($this->error['warning'])) {
			$this->data['error_warning'] = $this->error['warning'];
		} else {
			$this->data['error_warning'] = '';
		}

		if (isset($this->error['code'])) {
			$this->data['error_code'] = $this->error['code'];
		} else {
			$this->data['error_code'] = '';
		}

		$this->document->breadcrumbs = array();

		$this->document->breadcrumbs[] = array(
       		'href'      => HTTPS_SERVER . 'index.php?route=common/home' ,
       		'text'      => $this->language->get('text_home'),
      		'separator' => FALSE
		);

		$this->document->breadcrumbs[] = array(
       		'href'      => HTTPS_SERVER . 'index.php?route=extension/module',
       		'text'      => $this->language->get('text_module'),
      		'separator' => ' :: '
      		);

      		$this->document->breadcrumbs[] = array(
       		'href'      => HTTPS_SERVER . 'index.php?route=module/bottomdes',
       		'text'      => $this->language->get('heading_title'),
      		'separator' => ' :: '
      		);

      		$this->data['action'] = HTTPS_SERVER . 'index.php?route=module/footer_text&token=' . $this->session->data['token'];

      		$this->data['cancel'] = HTTPS_SERVER . 'index.php?route=extension/module&token=' . $this->session->data['token'];

      		
      		$footer_text_data = array();
      		foreach ($languages as $language) {
      			if (isset($this->request->post['footer_text_title'.$language['language_id']])) {
      				if (isset($this->request->post['footer_text_code'.$language['language_id']])) {
						$footer_text_data[$language['language_id']] = array(
							'footer_text_title'       => $this->request->post['footer_text_title'.$language['language_id']],
							'footer_text_code'       => $this->request->post['footer_text_code'.$language['language_id']]
					);
	      			} else {
	      				$footer_text_data[$language['language_id']] = array(
	      					'footer_text_title'       => $this->request->post['footer_text_title'.$language['language_id']],
							'footer_text_code'       => $this->config->get('footer_text_code'.$language['language_id'])
						);
      				}
      			} else {
      			
      			if (isset($this->request->post['footer_text_code'.$language['language_id']])) {
						$footer_text_data[$language['language_id']] = array(
							'footer_text_title'       => $this->config->get('footer_text_title'.$language['language_id']),
							'footer_text_code'       => $this->request->post['footer_text_code'.$language['language_id']]
					);
	      			} else {
	      				$footer_text_data[$language['language_id']] = array(
	      					'footer_text_title'       => $this->config->get('footer_text_title'.$language['language_id']),
							'footer_text_code'       => $this->config->get('footer_text_code'.$language['language_id'])
						);
      				}
      			}

      		
      		}
      		
      		$this->data['footer_text'] =$footer_text_data;
      		
      		if (isset($this->request->post['footer_text_position'])) {
      			$this->data['footer_text_position'] = $this->request->post['footer_text_position'];
      		} else {
      			$this->data['footer_text_position'] = $this->config->get('footer_text_position');
      		}

      		if (isset($this->request->post['footer_text_status'])) {
      			$this->data['footer_text_status'] = $this->request->post['footer_text_status'];
      		} else {
      			$this->data['footer_text_status'] = $this->config->get('footer_text_status');
      		}

      		if (isset($this->request->post['footer_text_sort_order'])) {
      			$this->data['footer_text_sort_order'] = $this->request->post['footer_text_sort_order'];
      		} else {
      			$this->data['footer_text_sort_order'] = $this->config->get('footer_text_sort_order');
      		}

      		$this->template = 'module/footer_text.tpl';
      		$this->children = array(
			'common/header',	
			'common/footer'	
			);

			$this->response->setOutput($this->render(TRUE), $this->config->get('config_compression'));
	}

}
?>